---
name: "OptaPlanner AI constraint solver"
metadata:
  keywords:
    - "optaplanner"
    - "kogito"
    - "constraint-solver"
    - "artificial-intelligence"
    - "employee-rostering"
    - "vehicle-routing-problem"
    - "maintenance-scheduling"
    - "timetabling"
  guide: "https://quarkus.io/guides/optaplanner"
  categories:
    - "business-automation"
  status: "stable"
